Subject: Re: bug#69129: sbcl-mcclim broke on upgrade to [email-masked]

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 15 Feb 2024 10:28:28 +0000

Christopher Howard <[email-masked]> skribis:

> Hello, sbcl-mcclim library broke on the upgrade to [email-masked]. Something changed so that many applications (include :clim-examples demos) break in runtime with an error like so:
>
> ```
> invalid keyword argument: :CLIPPING-REGION (valid keys are :INK,
> :TEXT-STYLE).
>    [Condition of type SB-INT:SIMPLE-PROGRAM-ERROR]
> ```
>
> The problem is not present if I time-machine back to a commit with [email-masked].
>
> Rather than troubleshooting this problem, I would recommend upgrading sbcl-mcclim to the latest official release, which is Version 0.9.8.

Hi.
I don't reproduce the issue. I tried with:

--8<---------------cut here---------------start------------->8---
guix shell sbcl sbcl-mcclim -- sbcl --no-userinit

(require :asdf)
(asdf:load-system "clim-examples")
(clim-demo:demodemo)
--8<---------------cut here---------------end--------------->8---

and it worked. What command did you use to get the error?